Bug 213187 - cannot scan using HP PSC 1209 (until reset)
cannot scan using HP PSC 1209 (until reset)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: Reopened
Depends On:
Blocks: F7Update
  Show dependency treegraph
 
Reported: 2006-10-30 22:17 EST by Jim Cornette
Modified: 2008-06-16 21:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hp-info output (10.39 KB, text/plain)
2006-10-31 19:46 EST, Jim Cornette
no flags Details
This is a redirected verson. The other was wrapped (10.65 KB, text/plain)
2006-10-31 19:49 EST, Jim Cornette
no flags Details
hp-info to file when launching scanner (10.83 KB, text/plain)
2006-10-31 19:58 EST, Jim Cornette
no flags Details
hp-info showing successful scanning (24.58 KB, text/plain)
2006-11-03 19:44 EST, Jim Cornette
no flags Details
Most recent entries in /var/log/messages (5.16 KB, text/plain)
2006-11-03 19:47 EST, Jim Cornette
no flags Details
hp-info both working printer and scanner (11.19 KB, text/plain)
2006-11-03 20:43 EST, Jim Cornette
no flags Details
hp-info from working development (11.20 KB, text/plain)
2006-11-03 22:05 EST, Jim Cornette
no flags Details
/var/log/messages for Nov 05 (107.53 KB, text/plain)
2006-11-05 11:09 EST, Jim Cornette
no flags Details
Output from hp-info sent to file (11.72 KB, text/plain)
2007-07-12 21:28 EDT, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2006-10-30 22:17:14 EST
Description of problem:
When launching xsane, I get slow responsiveness followed by the below error in
dmesg.
ppdev: user-space parallel port driver
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
drivers/usb/class/usblp.c: usblp0: removed


Version-Release number of selected component (if applicable):
libsane-hpaio.i386 0:1.6.10-1.fc6.2
hpijs.i386 1:1.6.10-1.fc6.2
hplip.i386 0:1.6.10-1.fc6.2

How reproducible:
launch xsane 

Steps to Reproduce:
1. Applications > graphics > scanner tool
2. answer license agreement
3. read error dialog box
  
Actual results:
scanner errors out but seems to be recognized. dialog box states below:
Failed to open device 'hpaio:/usb/psc_1200_series?serial=CN45KG30905H:'
error during device I/O

/var/log/messages grep psc displays the below.
 cat /var/log/messages |grep psc
Oct 30 21:26:19 dell-cornette hpiod: removing usblp driver interface=1 for
hp:/usb/psc_1200_series?serial=CN45KG30905H io/hpiod/device.cpp 504 
Oct 30 21:32:53 dell-cornette hpiod: device cleanup
uri=hp:/usb/psc_1200_series?serial=CN45KG30905H 
Oct 30 21:35:27 dell-cornette hpiod: device cleanup
uri=hp:/usb/psc_1200_series?serial=CN45KG30905H 
Oct 30 21:37:18 dell-cornette hpiod: device cleanup
uri=hp:/usb/psc_1200_series?serial=CN45KG30905H 
Oct 30 21:37:18 dell-cornette hpiod: device active clientcnt=1 channelcnt=0
uri=hp:/usb/psc_1200_series?serial=CN45KG30905H 
Oct 30 21:38:04 dell-cornette hpiod: device cleanup
uri=hp:/usb/psc_1200_series?serial=CN45KG30905H 
Oct 30 21:38:04 dell-cornette hpiod: device active clientcnt=1 channelcnt=0
uri=hp:/usb/psc_1200_series?serial=CN45KG30905H 


Expected results:

After finding out that this feature worked in FC5, I want to be able to use this
device using FC6. XP is a pain!

Additional info:
https://www.redhat.com/archives/fedora-list/2006-October/msg02861.html
https://www.redhat.com/archives/fedora-list/2006-October/msg03660.html
Comment 1 Tim Waugh 2006-10-31 05:10:10 EST
Changing component.
Comment 2 Tim Waugh 2006-10-31 06:27:26 EST
Please try this test update:

  https://www.redhat.com/archives/fedora-test-list/2006-October/msg01025.html

You should be able to do this using:

  yum --enablerepo=updates-testing update hpijs hplip libsane-hpaio
Comment 3 Jim Cornette 2006-10-31 06:58:49 EST
I still get this in dmesg with hplip-1.6.10-1.fc6.2 from updates-testing
installed. The computer was rebooted since the last attempt. The same error
dialog box shows when attempting to scan via the xsane application.

ppdev: user-space parallel port driver
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
drivers/usb/class/usblp.c: usblp0: removed
Comment 4 Jim Cornette 2006-10-31 07:02:01 EST
Changed assigned but moved xsane developer to CC:
Comment 5 Tim Waugh 2006-10-31 07:21:50 EST
Oops, thanks.  Actually this is most likely an HPLIP problem so I'll drop Nils
from the CC list.

What does 'hp-info' say?
Comment 6 Jim Cornette 2006-10-31 19:46:08 EST
Created attachment 139926 [details]
hp-info output

Since debating in-line or attachments. Saved output to file for hp-info.
Comment 7 Jim Cornette 2006-10-31 19:49:43 EST
Created attachment 139927 [details]
This is a redirected verson. The other was wrapped

hp-info redirected to file
Comment 8 Jim Cornette 2006-10-31 19:58:02 EST
Created attachment 139928 [details]
hp-info to file when launching scanner

Sorry, I assumed hp-info was just a configuration reading device and not an
interactive status tool. Attached is the output when the scanner is attempted
to be scanned. There is at least one reference to the scanner and root in the
file.
Comment 9 Tim Waugh 2006-11-01 09:55:51 EST
Hmm, we'll need to get some debugging information from the SANE hpaio backend. 
Unfortunately, HPLIP seems to disable the debugging facility by default(!). 
I'll push an HPLIP update that allows debugging and then we'll be able to ask it
what it's up to.
Comment 10 Jim Cornette 2006-11-01 21:50:56 EST
Should I install the debugging packages for hplip and for hpaio? I'm willing to
test this but may need some cues as to which debugging packages to install and
specifics to start the gdb or strace programs to capture results that will aid
in getting this program to work.
Standing by for now!
Comment 11 Tim Waugh 2006-11-02 05:12:38 EST
No, don't do that.  Just upgrade to the update I pushed: 1.6.10-1.fc6.4.  When
you've done that, try this:

SANE_DEBUG_HPAIO=5 scanimage -L

What does it say?
Comment 12 Jim Cornette 2006-11-02 18:28:56 EST
hplip-1.6.10-1.fc6.4 shows the following.

As root:
SANE_DEBUG_HPAIO=5 scanimage -L

sane_hpaio_init()
*******************************************************************************************

hpaio: sane_hpaio_get_devices()
ResetDevices()

/usb/psc_1200_series?serial=CN45KG30905H
device `hpaio:/usb/psc_1200_series?serial=CN45KG30905H' is a hp HP psc 1200
series multi-function peripheral

hpaio: sane_hpaio_exit()
*******************************************************************************************
ResetDevices()

As user:
 SANE_DEBUG_HPAIO=5 scanimage -L

sane_hpaio_init()
*******************************************************************************************

hpaio: sane_hpaio_get_devices()
ResetDevices()

/usb/psc_1200_series?serial=CN45KG30905H
device `hpaio:/usb/psc_1200_series?serial=CN45KG30905H' is a hp HP psc 1200
series multi-function peripheral

hpaio: sane_hpaio_exit()
*******************************************************************************************
Comment 13 Jim Cornette 2006-11-02 20:44:51 EST
As an additional trial, I have a development install which scanning did not even
throw information into dmesg. It now does the same thing as the FC6 install
since scanning puts information into dmesg.
below is dmesg, hp-info and SANE_DEBUG_HPAIO=5 scanimage -L
sorry for the in line text pasting. Version is hplip-1.6.10-5.fc7

ppdev: user-space parallel port driver
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
drivers/usb/class/usblp.c: usblp0: removed
[root@cornette-dell-hdb ~]# hp-info

HP Linux Imaging and Printing System (ver. 1.6.10)
Device Information Utility ver. 3.4

Copyright (c) 2003-6 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Using device: hp:/usb/psc_1200_series?serial=CN45KG30905H

hp:/usb/psc_1200_series?serial=CN45KG30905H

Device Parameters (dynamic data):
  Parameter                     Value(s)                                       
          
  ---------------------------- 
----------------------------------------------------------
  3bit-status-code              24                                             
          
  3bit-status-name              NoFault                                        
          
  agent1-ack                    False                                          
          
  agent1-desc                   Black cartridge                                
          
  agent1-dvc                    0                                              
          
  agent1-health                 0                                              
          
  agent1-health-desc            Good/OK                                        
          
  agent1-hp-ink                 False                                          
          
  agent1-id                     9                                              
          
  agent1-kind                   3                                              
          
  agent1-known                  False                                          
          
  agent1-level                  44                                             
          
  agent1-level-trigger          0                                              
          
  agent1-sku                    56 (C6656AN)                                   
          
  agent1-type                   1                                              
          
  agent1-virgin                 False                                          
          
  agent2-ack                    False                                          
          
  agent2-desc                   Tri-color cartridge                            
          
  agent2-dvc                    0                                              
          
  agent2-health                 0                                              
          
  agent2-health-desc            Good/OK                                        
          
  agent2-hp-ink                 False                                          
          
  agent2-id                     10                                             
          
  agent2-kind                   3                                              
          
  agent2-known                  False                                          
          
  agent2-level                  8                                              
          
  agent2-level-trigger          0                                              
          
  agent2-sku                    57 (C6657AN)/28 (C8728AN)                      
          
  agent2-type                   2                                              
          
  agent2-virgin                 False                                          
          
  back-end                      hp                                             
          
  cups-printer                                                                 
          
  cups-uri                      hp:/usb/psc_1200_series?serial=CN45KG30905H    
          
  dev-file                                                                     
          
  device-state                  1                                              
          
  device-uri                    hp:/usb/psc_1200_series?serial=CN45KG30905H    
          
  deviceid                      MFG:Hewlett-Packard;MDL:psc 1200               
          
                               
series;CMD:LDL,MLC,PML,DYN;CLS:PRINTER;1284.4DL:4d,4e,1;SN
                               
:CN45KG30905H;S:0380008000820000002c148002cc2500008;      
  duplexer                      0                                              
          
  error-state                   0                                              
          
  host                                                                         
          
  in-tray1                      True                                           
          
  in-tray2                      False                                          
          
  is-hp                         True                                           
          
  media-path                    2                                              
          
  panel                         0                                              
          
  panel-line1                                                                  
          
  panel-line2                                                                  
          
  photo-tray                    0                                              
          
  port                          1                                              
          
  r                             0                                              
          
  revision                      3                                              
          
  rg                            000                                            
          
  rr                            000000                                         
          
  rs                            000000000                                      
          
  scan-uri                      hpaio:/usb/psc_1200_series?serial=CN45KG30905H 
          
  serial                        CN45KG30905H                                   
          
  status-code                   1000                                           
          
  status-desc                   The printer is idle.                           
          
  supply-door                   0                                              
          
  top-door                      1                                              
          

Model Parameters (static data):
  Parameter                     Value(s)                                       
          
  ---------------------------- 
----------------------------------------------------------
  align-type                    6                                              
          
  case-model-model1             PSC 1200                                       
          
  case-model-model10            PSC 1219                                       
          
  case-model-model2             PSC 1205                                       
          
  case-model-model3             PSC 1209                                       
          
  case-model-model4             PSC 1210                                       
          
  case-model-model5             PSC 1210v                                      
          
  case-model-model6             PSC 1210xi                                     
          
  case-model-model7             PSC 1215                                       
          
  case-model-model8             PSC 1216                                       
          
  case-model-model9             PSC 1217                                       
          
  clean-type                    2                                              
          
  color-cal-type                0                                              
          
  copy-type                     0                                              
          
  embedded-server-type          0                                              
          
  fax-type                      0                                              
          
  icon                          psc_1100_series.png                            
          
  io-control                    0                                              
          
  io-mfp-mode                   2                                              
          
  io-mode                       1                                              
          
  io-scan-port                  0                                              
          
  io-support                    2                                              
          
  linefeed-cal-type             0                                              
          
  model                         psc_1200_series                                
          
  model-ui                      HP PSC 1200 series                             
          
  panel-check-type              0                                              
          
  pcard-type                    0                                              
          
  pq-diag-type                  0                                              
          
  r0-agent1-kind                3                                              
          
  r0-agent1-sku                 56 (C6656AN)                                   
          
  r0-agent1-type                1                                              
          
  r0-agent2-kind                3                                              
          
  r0-agent2-sku                 57 (C6657AN)/28 (C8728AN)                      
          
  r0-agent2-type                2                                              
          
  scan-style                    1                                              
          
  scan-type                     1                                              
          
  status-battery-check          0                                              
          
  status-dynamic-counters       0                                              
          
  status-type                   2                                              
          
  support-type                  2                                              
          
  tech-class                    DJ3320                                         
          
  tech-type                     2                                              
          

Status History (most recent first):
  Date/Time             Code   Status Description                        User  
   Job ID  
  --------------------  -----  ---------------------------------------- 
--------  --------
  11/02/2006 20:37:32   1000   The printer is idle.                      root  
           
  11/02/2006 20:37:32   2002   Scan job failed.                          root  
           

[root@cornette-dell-hdb ~]# SANE_DEBUG_HPAIO=5 scanimage -L

sane_hpaio_init()
*******************************************************************************************

hpaio: sane_hpaio_get_devices()
ResetDevices()

/usb/psc_1200_series?serial=CN45KG30905H
device `hpaio:/usb/psc_1200_series?serial=CN45KG30905H' is a hp HP psc 1200
series multi-function peripheral

hpaio: sane_hpaio_exit()
*******************************************************************************************
ResetDevices()
Comment 14 Tim Waugh 2006-11-03 06:08:26 EST
Now try this:

SANE_DEBUG_HPAIO=5 scanimage -T

What output do you get?
Comment 15 Jim Cornette 2006-11-03 06:56:59 EST
It stops at the <<ESC>E>> for a time, then continues with the retcode=9 until it
exits. (FC6 with updates-testing as user)

 SANE_DEBUG_HPAIO=5 scanimage -T

sane_hpaio_init()
*******************************************************************************************

hpaio: sane_hpaio_get_devices()
ResetDevices()

/usb/psc_1200_series?serial=CN45KG30905H

hpaio:sane_hpaio_open(/usb/psc_1200_series?serial=CN45KG30905H)
*******************************************************************************************
Opening hp:/usb/psc_1200_series?serial=CN45KG30905H...
hpaio:device ID string=<MFG:Hewlett-Packard;MDL:psc 1200
series;CMD:LDL,MLC,PML,DYN;CLS:PRINTER;1284.4DL:4d,4e,1;SN:CN45KG30905H;S:0380008000820000002c148002cc2500008;>
Model = psc_1200_series
Scanner type (0=SCL, 1=PML): 0

hpaio: hpaioConnOpen()
hpaio: openFirst=0

hpaio: hpaioResetScanner()
hpaio:SclSendCommand(cmd=11110, param=0, punc=<*>, letter1=<z>, letter2=<E>)
hpaio:Sending SCL command <<ESC>E>>

retcode=9

hpaio: hpaioConnClose()
scanimage: open of device hpaio:/usb/psc_1200_series?serial=CN45KG30905H failed:
Error during device I/O

hpaio: sane_hpaio_exit()
*******************************************************************************************
Comment 16 Jim Cornette 2006-11-03 06:59:22 EST
missed last line after line of * characters/

ResetDevices()
Comment 17 Tim Waugh 2006-11-03 08:44:18 EST
Is anything written to /var/log/messages when you run that command?
Comment 18 Jim Cornette 2006-11-03 19:42:30 EST
I don't know what is going on with the printer portion of the printer setup. I
had an entry that I created that would print, an entry in s-c-printers that HAL
designated and another entry from running hp-setup in the printers section.

After I removed my entry from printers, the HAL and hp-setup entry, I configured
again an entry using hp-setup. I then tried to scan. The scanning then was
successful using the hp-toolbox which brought up sane as it should. I
successfully was able to scan all jobs.

I still cannot get anything to print with the hp-setup defined printer.

As an attachment, I'll include hp-info output.

/var/log/messages does show the attached messages.

Regarding the printer, it prints a serial but not as paraport usb.
Comment 19 Jim Cornette 2006-11-03 19:44:42 EST
Created attachment 140336 [details]
hp-info showing successful scanning

The scannee images were of high quality and I tried successfully to scan two
dicuments.
Comment 20 Jim Cornette 2006-11-03 19:47:23 EST
Created attachment 140337 [details]
Most recent entries in  /var/log/messages

I don't know if this log shows both USB serial and USB paraport entries. With
the working USB serial device entry, printing worked, scanning does not.

If you need more log information, I can include the whol log.
Comment 21 Jim Cornette 2006-11-03 19:50:05 EST
dmesg displays the below entries.

NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
drivers/usb/class/usblp.c: usblp0: removed
eth0: no IPv6 routers present
[drm] Initialized drm 1.0.1 20051102
ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 21 (level, low) -> IRQ 225
[drm] Initialized mga 3.2.1 20051102 on minor 0
[drm] Initialized card for PCI DMA.
usb 1-2: USB disconnect, address 3
usb 1-2: new full speed USB device using uhci_hcd and address 4
usb 1-2: configuration #1 chosen from 1 choice
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 4 if 1 alt 0
proto 2 vid 0x03F0 pid 0x2F11
drivers/usb/class/usblp.c: usblp0: removed
ppdev: user-space parallel port driver
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
Comment 22 Jim Cornette 2006-11-03 20:43:12 EST
Created attachment 140339 [details]
hp-info both working printer and scanner

I am able to scan finally and print again. The foomatic driver works but
postscript does not for either hp-setup or HAL does not.
I am now using the 2.6.18-1.2835.fc6 Kernel which is different than when 
I experienced the problem.
Since the program is working with this kernel and the program version is the
same, I'll assume the kernel was the limitation. 
However, I'll test with the older kernel which is still available before
closing the bug.
Thanks for your help and the learning experience for the tools for hp hardware.
Comment 23 Jim Cornette 2006-11-03 20:55:06 EST
It was not the kernel. I can still successfully scan. I don't know if it was the
pronter configuration. Changing the active status of the other two printer
entries to inactive or a new program was installed recently which caused the
problem.
Printing and scanning are fixed regardless of the cause.
I can scan now, so fixed as of 11/3/2006 with updates-testing enabled with FC6.
Thanks!
Comment 24 Jim Cornette 2006-11-03 22:05:36 EST
Created attachment 140340 [details]
hp-info from working development

All that I can figure is that making changes to entries via s-c-printers allows
the permissions to be set correctly. I deactivated both the HAL added entry and
also the hp-info added entry. I then tried to scan. The sane program came up
and 
I was able to scan. I answered the liscense agreement and the scanner worked
for the first time.
I then reactivated the two deactivated printer entries. (Neither entry would
print, BTW.) and rebooted to be safe that all services would start up. The
scanner still worked alright.
I then added my own printer entry via the add printer choice. The first time I
was not careful enough to choose the correct information for the printer.
The correct information is entered in the attached hp-info file.
Deduction, sane liscense agreement is not accessible with active printers
initially, thus all attempts to scan are not successful. Once you deactivate
the printers, run scanner tool initially, it does not matter if you have active
printers or not.
I hope this information is useful.
Comment 25 Jim Cornette 2006-11-05 11:02:08 EST
Today, I tried to scan again. I disabled the printers with no help. I rebooted
with the printers deactivated. None of these items fixed the problem.

So I decided to recycle the all in one device with the on/resume power switch.
This last step allowed the scanner to operate once again.
Reopening bug since I do not know if needing toreset the device is usual.

usb 1-2: USB disconnect, address 3
usb 1-2: new full speed USB device using uhci_hcd and address 4
usb 1-2: configuration #1 chosen from 1 choice
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 4 if 1 alt 0
proto 2 vid 0x03F0 pid 0x2F11
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
drivers/usb/class/usblp.c: usblp0: removed
Comment 26 Jim Cornette 2006-11-05 11:09:35 EST
Created attachment 140399 [details]
/var/log/messages for Nov 05

The attempt with scanning was tried soon after bringing up the computer. The
log includes nov 05 activity.
It is possibly to scan, but should the devices be reinitialized or something
automatically?
Comment 27 Tim Waugh 2006-11-06 06:04:33 EST
This seems relevant:

Nov  5 10:40:41 dell-cornette hpiod: unable to read MlcReverseCmd header:
Resource temporarily unavailable 
Nov  5 10:40:41 dell-cornette hpiod: invalid MlcCredit from peripheral, trying miser
Nov  5 10:41:26 dell-cornette hpiod: unable to read MlcReverseCmd header:
Resource temporarily unavailable 
Nov  5 10:41:26 dell-cornette hpiod: invalid MlcCredit from peripheral 
Nov  5 10:41:30 dell-cornette hpiod: device cleanup
uri=hp:/usb/psc_1200_series?serial=CN45KG30905H

What's the exact model name of this device?
Comment 28 Jim Cornette 2006-11-06 07:09:42 EST
By the front plate, the model is an HP PSC 1209 all-in-one printer - scanner -
copier.
Comment 29 Tim Waugh 2007-01-11 06:56:46 EST
Please try 1.6.12-1.fc6 from updates-testing:

yum --enablerepo=updates-testing update 'hplip*' 'hpijs*' 'libsane-hpaio*'
Comment 30 Tim Waugh 2007-04-16 06:16:39 EDT
Jim, did you try the update?  Did it help?
Comment 31 Jim Cornette 2007-04-16 06:57:34 EDT
I still get an error until reset with the updated version.

]$ rpm -q hplip hpijs libsane-hpaio
hplip-1.7.2-2.fc6
hpijs-1.7.2-2.fc6
libsane-hpaio-1.7.2-2.fc6

ppdev: user-space parallel port driver
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
[drm] Initialized drm 1.1.0 20060810
ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 21 (level, low) -> IRQ 23
[drm] Initialized mga 3.2.1 20051102 on minor 0
[drm] Initialized card for PCI DMA.
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
drivers/usb/class/usblp.c: usblp0: removed

HP INFO:

hp-info

HP Linux Imaging and Printing System (ver. 1.7.2)
Device Information Utility ver. 3.4

Copyright (c) 2003-6 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: Inrecognized URI:
hal:///org/freedesktop/Hal/devices/usb_device_3f0_2f11_CN45KG30905H_if1_printer_CN45KG30905H
Using device: hp:/usb/psc_1200_series?serial=CN45KG30905H

hp:/usb/psc_1200_series?serial=CN45KG30905H

Device Parameters (dynamic data):
  Parameter                     Value(s)                                       
          
  ---------------------------- 
----------------------------------------------------------
  3bit-status-code              24                                             
          
  3bit-status-name              NoFault                                        
          
  agent1-ack                    False                                          
          
  agent1-desc                   Black cartridge                                
          
  agent1-dvc                    0                                              
          
  agent1-health                 0                                              
          
  agent1-health-desc            Good/OK                                        
          
  agent1-hp-ink                 False                                          
          
  agent1-id                     9                                              
          
  agent1-kind                   3                                              
          
  agent1-known                  False                                          
          
  agent1-level                  85                                             
          
  agent1-level-trigger          0                                              
          
  agent1-sku                    56 (C6656AN)                                   
          
  agent1-type                   1                                              
          
  agent1-virgin                 False                                          
          
  agent2-ack                    False                                          
          
  agent2-desc                   Tri-color cartridge                            
          
  agent2-dvc                    0                                              
          
  agent2-health                 0                                              
          
  agent2-health-desc            Good/OK                                        
          
  agent2-hp-ink                 False                                          
          
  agent2-id                     10                                             
          
  agent2-kind                   3                                              
          
  agent2-known                  False                                          
          
  agent2-level                  86                                             
          
  agent2-level-trigger          0                                              
          
  agent2-sku                    57 (C6657AN)/28 (C8728AN)                      
          
  agent2-type                   2                                              
          
  agent2-virgin                 False                                          
          
  back-end                      hp                                             
          
  cups-printer                  jim-created-printer                            
          
  cups-uri                      hp:/usb/psc_1200_series?serial=CN45KG30905H    
          
  dev-file                                                                     
          
  device-state                  1                                              
          
  device-uri                    hp:/usb/psc_1200_series?serial=CN45KG30905H    
          
  deviceid                      MFG:Hewlett-Packard;MDL:psc 1200               
          
                               
series;CMD:LDL,MLC,PML,DYN;CLS:PRINTER;1284.4DL:4d,4e,1;SN
                               
:CN45KG30905H;S:0380008000820000002c1480055c2500056;      
  duplexer                      0                                              
          
  error-state                   0                                              
          
  host                                                                         
          
  in-tray1                      True                                           
          
  in-tray2                      False                                          
          
  is-hp                         True                                           
          
  media-path                    2                                              
          
  panel                         0                                              
          
  panel-line1                                                                  
          
  panel-line2                                                                  
          
  photo-tray                    0                                              
          
  port                          1                                              
          
  r                             0                                              
          
  revision                      3                                              
          
  rg                            000                                            
          
  rr                            000000                                         
          
  rs                            000000000                                      
          
  scan-uri                      hpaio:/usb/psc_1200_series?serial=CN45KG30905H 
          
  serial                        CN45KG30905H                                   
          
  status-code                   1000                                           
          
  status-desc                   The printer is idle.                           
          
  supply-door                   0                                              
          
  top-door                      1                                              
          

Model Parameters (static data):
  Parameter                     Value(s)                                       
          
  ---------------------------- 
----------------------------------------------------------
  align-type                    6                                              
          
  clean-type                    2                                              
          
  color-cal-type                0                                              
          
  copy-type                     0                                              
          
  embedded-server-type          0                                              
          
  fax-type                      0                                              
          
  fw-download                   0                                              
          
  icon                          psc_1100_series.png                            
          
  io-control                    0                                              
          
  io-mfp-mode                   2                                              
          
  io-mode                       1                                              
          
  io-scan-port                  0                                              
          
  io-support                    2                                              
          
  linefeed-cal-type             0                                              
          
  model                         psc_1200_series                                
          
  model-ui                      HP PSC 1200 series                             
          
  model1                        PSC 1200                                       
          
  model10                       PSC 1219                                       
          
  model2                        PSC 1205                                       
          
  model3                        PSC 1209                                       
          
  model4                        PSC 1210                                       
          
  model5                        PSC 1210v                                      
          
  model6                        PSC 1210xi                                     
          
  model7                        PSC 1215                                       
          
  model8                        PSC 1216                                       
          
  model9                        PSC 1217                                       
          
  panel-check-type              0                                              
          
  pcard-type                    0                                              
          
  pq-diag-type                  0                                              
          
  r-type                        0                                              
          
  r0-agent1-kind                3                                              
          
  r0-agent1-sku                 56 (C6656AN)                                   
          
  r0-agent1-type                1                                              
          
  r0-agent2-kind                3                                              
          
  r0-agent2-sku                 57 (C6657AN)/28 (C8728AN)                      
          
  r0-agent2-type                2                                              
          
  scan-style                    1                                              
          
  scan-type                     1                                              
          
  status-battery-check          0                                              
          
  status-dynamic-counters       0                                              
          
  status-type                   2                                              
          
  support-released              1                                              
          
  support-type                  2                                              
          
  support-ver                   0.9.5                                          
          
  tech-class                    DJ3320                                         
          
  tech-type                     2                                              
          

Status History (most recent first):
  Date/Time             Code   Status Description                        User  
   Job ID  
  --------------------  -----  ---------------------------------------- 
--------  --------
  04/16/2007 06:56:27   1000   The printer is idle.                      erin  
           
  04/16/2007 06:52:53   2002   Scan job failed.                          root   
Comment 32 Jim Cornette 2007-04-16 07:02:28 EDT
after resetting the printer (turning off and then back on) I get a successful scan.

Status History (most recent first):
  Date/Time             Code   Status Description                        User  
   Job ID  
  --------------------  -----  ---------------------------------------- 
--------  --------
  04/16/2007 06:59:12   1000   The printer is idle.                      erin  
           
  04/16/2007 06:58:58   2001   Scan job completed.                       root  
           
  04/16/2007 06:58:45   2000   Scan job started.                         root  
           
  04/16/2007 06:58:27   1000   The printer is idle.                      erin  
           
  04/16/2007 06:52:53   2002   Scan job failed.                          root   
Comment 33 Tim Waugh 2007-07-02 08:57:04 EDT
Are you still using FC-6? 
Comment 34 Jim Cornette 2007-07-02 17:33:10 EDT
No, I have F7 and development on the computer with the HP all-in-one
printer/scanner.
 I will test it out later and add to findings whether the problem still exists.
If the problem is still preent, I will change to F7
Comment 35 Jim Cornette 2007-07-12 21:26:00 EDT
Changing the problem to continue through to F7.

warning: Inrecognized URI: usb://HP/psc%201200%20series?serial=CN45KG30905H
warning: Inrecognized URI:
hal:///org/freedesktop/Hal/devices/usb_device_3f0_2f11_CN45KG30905H_if1_printer_CN45KG30905H
Comment 36 Jim Cornette 2007-07-12 21:28:24 EDT
Created attachment 159112 [details]
Output from hp-info sent to file

Here is the curerent output. I can scan alright after turning off and then back
on the all-in-one hp unit.
Comment 37 Jim Cornette 2007-07-12 21:30:45 EDT
Comment on attachment 159112 [details]
Output from hp-info sent to file

changing MIME type to text
Comment 38 Tim Waugh 2008-01-10 08:17:59 EST
I wish I knew how to debug this further. :-(
Comment 39 Jim Cornette 2008-01-10 18:20:40 EST
Thanks for th effort. Resetting the device for scanning or printing is not a
major task. For all I know, the scanner is bad from when purchased. It queries
the printer a lot in XP. It could be normal or a bad printer/scanner.
Comment 40 Bug Zapper 2008-05-14 08:04:10 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 Bug Zapper 2008-06-16 21:14:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.